use_default_settings: true
server:
  secret_key: "825d3338bfeaf148237c18ea0a3dcfefed667cf8c77e5832738067c2af4c39b0"
  limiter: false
  image_proxy: true
  method: GET

search:
  safe_search: 0
  autocomplete: baidu
  default_lang: zh-CN
  formats:
    - html
    - json
  ban_time_on_fail: 10
  max_ban_time_on_fail: 60
  suspended_times:
    SearxEngineAccessDenied: 86400
    SearxEngineCaptcha: 86400
    SearxEngineTooManyRequests: 7200
    cf_SearxEngineCaptcha: 1296000
    cf_SearxEngineAccessDenied: 86400
    recaptcha_SearxEngineCaptcha: 604800

ui:
  static_use_hash: true
  default_theme: simple
  default_locale: zh-Hans-CN

enabled_plugins:
  - Hash plugin
  - Self Information
  - Tracker URL redirect
  - Search on category select
  - Search language filter
  - Open Access DOI rewrite
  - Tor check plugin

engines:
  - name: google
    engine: google
    shortcut: go
    disabled: false

  - name: bing
    engine: bing
    shortcut: bi
    disabled: false

  - name: bing images
    engine: bing_images
    shortcut: bii
    disabled: false

  - name: bing news
    engine: bing_news
    shortcut: bin
    disabled: false

  - name: bing videos
    engine: bing_videos
    shortcut: biv
    disabled: false

  - name: duckduckgo
    engine: duckduckgo_extra
    shortcut: ddg
    disabled: false

  - name: baidu
    engine: baidu
    shortcut: bd
    disabled: false
    timeout: 8.0
    weight: 0.3

  - name: sogou
    engine: sogou
    shortcut: sg
    disabled: false
    timeout: 10.0

  - name: "360"
    engine: 360search
    shortcut: "360"
    disabled: false
    timeout: 8.0

  - name: quark
    engine: quark
    shortcut: qr
    disabled: false
    timeout: 10.0

  - name: bilibili
    engine: bilibili
    shortcut: bl
    disabled: false

  - name: wolframalpha
    engine: wolframalpha_noapi
    shortcut: wa
    disabled: false
    timeout: 8.0

  - name: wikipedia
    engine: wikipedia
    shortcut: wp
    disabled: false

  - name: github
    engine: github
    shortcut: gh
    disabled: false
